Bug 852272 - TypeError: setup() takes exactly 2 arguments (1 given)
TypeError: setup() takes exactly 2 arguments (1 given)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:1ef1e90964c47782215860235dd...
:
Depends On: 850550
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 01:39 EDT by Dan Mashal
Modified: 2012-09-07 21:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 21:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (921 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: anaconda-tb (760.60 KB, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: environ (851 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: type (9 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: storage.log (283.35 KB, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: other involved packages (32 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: program.log (152.59 KB, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: product (6 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: anaconda.log (10.08 KB, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: version (2 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: release (27 bytes, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
File: messages (312.25 KB, text/plain)
2012-08-28 01:39 EDT, Dan Mashal
no flags Details
selinux alerts when running anaconda (298.11 KB, image/png)
2012-08-28 01:45 EDT, Dan Mashal
no flags Details

  None (edit)
Description Dan Mashal 2012-08-28 01:39:17 EDT
Version-Release number of selected component:
anaconda-18.6.1-1.fc18.x86_64

Additional info:
libreport version: 2.0.13
cmdline:        initrd=initrd0.img root=live:CDLABEL=fedora-livec-x86_64-201208271518 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.6.1 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/livepayload.py", line 51, in setup
:    super(LiveImagePayload, self).setup()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 645, in payloadInitialize
:    payload.setup(storage)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in run
:    threading.Thread.run(self, *args, **kwargs)
:TypeError: setup() takes exactly 2 arguments (1 given)
Comment 1 Dan Mashal 2012-08-28 01:39:20 EDT
Created attachment 607394 [details]
File: ifcfg.log
Comment 2 Dan Mashal 2012-08-28 01:39:24 EDT
Created attachment 607395 [details]
File: anaconda-tb
Comment 3 Dan Mashal 2012-08-28 01:39:26 EDT
Created attachment 607396 [details]
File: environ
Comment 4 Dan Mashal 2012-08-28 01:39:27 EDT
Created attachment 607397 [details]
File: type
Comment 5 Dan Mashal 2012-08-28 01:39:30 EDT
Created attachment 607398 [details]
File: storage.log
Comment 6 Dan Mashal 2012-08-28 01:39:31 EDT
Created attachment 607399 [details]
File: other involved packages
Comment 7 Dan Mashal 2012-08-28 01:39:33 EDT
Created attachment 607400 [details]
File: program.log
Comment 8 Dan Mashal 2012-08-28 01:39:35 EDT
Created attachment 607401 [details]
File: product
Comment 9 Dan Mashal 2012-08-28 01:39:36 EDT
Created attachment 607402 [details]
File: anaconda.log
Comment 10 Dan Mashal 2012-08-28 01:39:38 EDT
Created attachment 607403 [details]
File: hashmarkername
Comment 11 Dan Mashal 2012-08-28 01:39:39 EDT
Created attachment 607404 [details]
File: version
Comment 12 Dan Mashal 2012-08-28 01:39:40 EDT
Created attachment 607405 [details]
File: release
Comment 13 Dan Mashal 2012-08-28 01:39:43 EDT
Created attachment 607406 [details]
File: messages
Comment 14 Dan Mashal 2012-08-28 01:40:25 EDT
This was experienced using the latest anaconda live cd build here:

http://dl.fedoraproject.org/pub/alt/anaconda/livecd-fedora-livecd-desktop-201208271518.iso
Comment 15 Dan Mashal 2012-08-28 01:43:57 EDT
I believe this is related to SELinux.

I am attaching a screenshot.
Comment 16 Dan Mashal 2012-08-28 01:45:02 EDT
Created attachment 607407 [details]
selinux alerts when running anaconda
Comment 17 Chris Lumens 2012-08-28 10:27:40 EDT
It's got nothign to do with selinux.
Comment 18 Dan Mashal 2012-08-29 03:39:18 EDT
I just noticed those SELinux alerts at the same time.
Comment 19 Dan Mashal 2012-09-07 21:29:07 EDT
Not experiencing this issue anymore.

Note You need to log in before you can comment on or make changes to this bug.